
/* 默认的根元素字体大小（例如在375px宽度的屏幕上为16px） */
html {
  font-size: 8px; 
}

/* 在宽度500px ~ 1000px的屏幕上 */
@media (min-width: 500px) and (max-width: 1000px) {
  html {
    font-size: calc(1.5vw - (100vw - 1000px) * 0.001);
  }
}

/* 在宽度1000px ~ 2000px的屏幕上 */
@media (min-width: 1000px) and (max-width: 4000px) {
  html {
    font-size: calc(1.5vw - (100vw - 1000px) * 0.013);
  }
}

/* 在宽度大于等于4000px的屏幕上 */
@media (min-width: 4000px) {
  html {
    font-size: 21px;
  }
}


/* -------------------------------------------------------------------------------------------------- */

body {
    margin: 0;
    background: #fefefe;
    /* font-family: Helvetica Neue Regular, Helvetica Neue, Helvetica, Roboto, Arial, sans-serif; */
    font-family: San Francisco,Helvetica Neue,Arial,Segoe UI,PingFang SC,Hiragino Sans GB,STHeiti,Microsoft Yahei,Microsoft JhengHei,Source Han Sans SC,Noto Sans CJK SC,Source Han Sans CN,Noto Sans SC,Source Han Sans TC,Noto Sans CJK TC,WenQuanYi Micro Hei,驿微米黑,SimSun,sans-serif,微软雅黑,Microsoft Yahei,Arial Narrow;
}

/* ------------------------------------------------ */

.thin-scroll::-webkit-scrollbar-track {
    background: rgb(239, 239, 239);
    border-radius: 2px;
}
.thin-scroll::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}
.thin-scroll::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* 默认完全隐藏滑块 */
.thin-scroll::-webkit-scrollbar-thumb {
  background: transparent;
  border-radius: 8px;
  transition: background-color 0.9s ease; /* 添加过渡效果 */
}

/* 悬停或滚动时显示滑块 */
.thin-scroll:hover::-webkit-scrollbar-thumb,
.thin-scroll:focus::-webkit-scrollbar-thumb,
.thin-scroll:active::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, 0.36);
}

/* ------------------------------------------------ */
.sub-top-bar{
    display: flex;
    justify-content: space-between;
    background: #f6f6f6;
    user-select: none;
}

.sub-top-bar .section-navi{
    display: flex;
    align-items: baseline;
}
.sub-top-bar .section-navi.show-test{
    border-bottom: none;
}
.sub-top-bar .section-name{
    font-size: 1.1rem;
    font-weight: 500;
    color: #333;
    padding: 0 1.2rem 0 2rem;
}
.sub-top-bar .question-range{
    font-size: 1.0rem;
    font-weight: 500;
    line-height: 1.1rem;
    color: #333;
    padding-left: 1.2rem;
    border-left: 0.13rem solid #aaa;
}

/* ------------------------------------------------ */

.section-conn{
    height: calc(100vh - 5.5rem);
}

.part-conn {
    height: calc(100% - 0rem);
    position: relative;
    /* border-radius: 0.6rem; */
    padding: 1rem 1rem 0;
    overflow-y: auto;
    transition: opacity 0.16s ease-in-out;
}

/* ---------------------- 卡片：题目解析、题目文本 -------------------------- */

.qst-info-card{
    border: 0.1rem solid #ccc; 
    border-radius: 0.8rem; 
    box-shadow: 0 0 0.6rem 0.1rem #cecece;
    overflow: hidden;
    margin-bottom: 1rem;
    display: flex;
    flex-direction: column;
    max-height: 30vh;
    max-width: 39vw;
}
.qst-info-card .card-title{ 
    background: #1b797c;
    color: #fff;
    padding: 0.2rem 0.8rem;
    font-size: 1.1rem;
}
.qst-info-card .card-body{
    padding: 0.8rem 1.0rem;
    color: #333; 
    overflow-y: auto;
    height: calc(100% - 2rem);
    font-size: 0.88rem;
}

.qst-info-card.green .card-title{
     background: #07af20;
}
.qst-info-card.yellow .card-title{
     background: #eda200;
}
.qst-info-card.purple .card-title{
     background: #d224d2;
}
.qst-info-card.grey .card-title{
     background: #888;
}

.qst-info-card.scirpt-box  .card-body .translate { color: #1b797c; font-style: italic; margin-top: 0.2rem; font-size: 0.82rem; white-space: pre-wrap; }
.qst-info-card.explain-box .card-body .explain   { color: #1b797c; font-style: italic; margin-top: 0.2rem; font-size: 0.82rem;  }

/* ---------------------- 选择题：题干/选项 -------------------------- */

.question { font-size: 1.15rem; }
.question .topic { font-weight: 500; font-size: 1.39rem; }
.question .options { margin-top: 1.3rem; display: flex; flex-direction: column; }
.question .options .opt { display: flex; margin-bottom: 1.3rem; width: fit-content; align-items: stretch; padding: 0.1rem 0.6rem 0.1rem 0.3rem; border-radius: 0.8rem;}        
.question .options .opt .opt-name { cursor: pointer; flex-shrink: 0; width: 1.5rem; height: 1.5rem; margin-right: 0.8rem; margin-top: 0.08rem; border: 0.15rem solid #777; border-radius: 50%; }
.question .options .opt .opt-text { cursor: pointer; display: inline-block; }
.question .options .opt .opt-name.selected { position: relative; border: 0.15rem solid #5e8789; }
.question .options .opt .opt-name.selected:after { content:''; position:absolute; top:0.2rem; left:0.2rem; right:0.2rem; bottom:0.2rem; border-radius: 0.8rem; background: #0d7074; box-shadow: 0 0 1px 0px #0d7074; transition:border-width 0.08s ease-in-out;  }

.question .options .opt.wrong { background-color: #fee4d2; }
.question .options .opt.wrong .opt-name.selected { border: 0.15rem solid #9b6c62;  }
.question .options .opt.wrong .opt-name.selected:after { background: #fb331d; box-shadow: 0 0 1px 0px #cf2715; }
.question .options .opt.std-answer { background-color: #d2fed9; }

li::marker{ font-size: 1.5rem; line-height: 1.5rem; }

/* ---------------------- 题目 loading-spin -------------------------- */

/* .section-conn .ivu-spin { 
    display: flex;
    justify-content: center;
    height: 39vh;
    align-items: flex-end;
} */

.part-conn.part-conn-hide { 
  opacity: 0; 
  transition: none;
}

/* ---------------------- 右侧 explain-conn -------------------------- */
.with-explain {
  width: 70%;
}

.explain-conn.hide {
  left: calc(100vw + 1rem);
}

.explain-conn {
  width: calc(30% - 0.6rem);
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: calc(70vw + 0.6rem);
  box-shadow: -0.1rem 0 0.6rem 0rem #bbb;
  border-top: solid 0.1rem #e0e0e0;
  border-left: solid 0.1rem #ddd;
  transition: left 0.16s ease;
  overflow-y: auto;
}
.explain-conn .one-info{
  margin-bottom: 0.06em;
}
.explain-conn .one-info:last-child{
  margin-bottom: 0;
}
.explain-conn .header{
  font-size: 0.9rem;
  font-weight: 600;
  color: #505050;
  border-left: 0.5rem solid #168f93;
  line-height: 1;
  padding: 0.6rem 0.8rem;
  background: #d3ffdb;
  /* cursor:pointer; */
  user-select: none;
}
.explain-conn .body{
  font-size: 0.88rem;
  color: #333;
  padding: 0.6rem 0 0.6rem 0.6rem;
}
.explain-conn .body p {
  margin-bottom: 0.3rem;
  font-size: 0.81rem;
  line-height: 1.5;
}
.explain-conn .body p.line-sep {
  border-bottom: 1px dashed #ccc;
  padding-top: 0.5rem;
  margin-bottom: 0.8rem;
}

.explain-conn .body .multi-q {
  margin-bottom: 1.0rem;
}
.explain-conn .body .multi-q .explain-in-multi{
  margin: 0.2rem 0.2rem 0.2rem 0.2rem;
}
.explain-conn .body .multi-q p{
  white-space: pre-wrap;
}
.explain-conn .multi-q .q-no{
  background-color: #eee;
  color: #111;
  display: block;
  font-size: 0.86rem;
  padding: 0rem 0.5rem;
  margin-bottom: 0.2rem;
  border-left: 0.3rem solid #19a561;
  user-select: none;
  cursor: pointer;
  text-align: center;
}
.explain-conn .multi-q .answer-box{
  border-bottom: 1px dashed #ccc;
  padding-top: 0.3rem;
  padding-bottom: 0.3rem;
}
.explain-conn .multi-q .answer-line .asw-title{
  font-size: 0.86rem;
  color: #6f6f6f;
}

.explain-conn .body .multi-q.collapsed {
  margin-bottom: 0;
  margin-bottom: 0.1rem;
}
.explain-conn .body .multi-q.collapsed .explain-in-multi{
  display: none;
}
.explain-conn .body .multi-q.collapsed .answer-box{
  border-bottom: none;
  margin-bottom: 0.3rem;
}


.explain-conn .body .content-box .content-box-inner {
  margin-right: 0.6rem;
}

.explain-conn .body .content-box .line{
  display: flex; flex-direction: row;
}
.explain-conn .body .content-box .line .line-no{
  width: 1.1rem;
}
.explain-conn .body .content-box .line .line-li{
  width: 2.0rem;
  text-align: right;
  padding-right: 0.3rem;
}
.explain-conn .body .content-box .line .line-content{
  width: calc(100% - 2rem);
}


/* 基础样式：(没有答案，单个block)*/
/* 无论何种情况：滚动条统一都出在 content-box 这个元素上  */
.explain-conn .body {
  overflow-y: hidden;
  height: fit-content;
}
.explain-conn .body .content-box {
  overflow-y: auto;
  height: fit-content; 
  /* background-color: rgb(255, 255, 236); */
}

/* 样式：单个block, 默认 content-box 高度 */
.explain-conn .body .content-box {
  /* height: calc(100vh - 10rem); */
  height: fit-content; 
}
/* 样式：单个block, 有答案时，content-box 高度，需要多减去一点，即减去答案高度部分 */
.explain-conn .body.has-asw .content-box {
  height: calc(100vh - 13.6rem);
}

/* 样式：多个block, 默认 content-box 高度 */
.explain-conn .body.multi-block .content-box {
  height: calc(50vh - 7rem);
}
/* 样式：多个block, 有答案时，content-box 高度，需要多减去一点，即减去答案高度部分 */
.explain-conn .body.multi-block.has-asw .content-box {
  height: calc(50vh - 11rem);
}


.explain-conn .answer-box { padding-bottom: 0.6rem; margin-bottom: 0.6rem; border-bottom: 1px dashed #ddd; max-height: 36vh; overflow-y: auto; font-size: 0.83rem; }
.explain-conn .answer-line { display: flex; align-items: center; }
.explain-conn .answer-line .asw-title { width: 5.8rem; display:inline-block; color: #505050; font-size: 0.88rem; font-weight: 600; }
.explain-conn .answer-line .asw-txt { padding: 0 0.3rem; border-radius: 0.3rem; }
.explain-conn .answer-line .asw-wrong{ background-color: #fdeaea; color: orangered; }
.explain-conn .answer-line .asw-correct { background-color: #eafdeaff; color: #03b438; }

/* --------------------------------------------------------- */

.iview-msgbox { font-size: 0.95rem; margin-top: 0.3rem; display:flex; flex-direction: column; }
.iview-msgbox .line{ display: inline-block;  padding-top: 0.6rem; }
.iview-msgbox .line:first-child{  padding-top: 0; }
.iview-msgbox .line.highlight { color: #f85d23; }

/* --------------------------------------------------------- */

.ivu-modal { top: 6.88rem; width: 26rem !important; margin: 0 auto !important; }
.ivu-modal-content { border-radius: 0.3rem; box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, .15); }
.ivu-modal-body { padding: 1.0rem; font-size: 0.75rem; }
.ivu-modal-confirm { padding: 0 0.25rem; }
.ivu-modal-confirm-head { padding: 0 0.75rem 0 0; }
.ivu-modal-confirm-head-title { margin-left: 0.75rem; font-size: 1.0rem; font-weight: 600; }
.ivu-modal-confirm-head-icon { font-size: 1.75rem; }
.ivu-modal-confirm-body { padding-left: 2.6rem; font-size: 0.8rem; }

.ivu-btn-large { padding: 0.36rem 0.9rem 0.36rem 0.9rem; font-size: 0.88rem; border-radius: 0.25rem; }